# -*-makefile-*-

ConfigureArgs=$(shell sed \
	-e '/^ *\$$ .*\/configure/!d' \
	-e 's/^ *\$$ .*\/configure *//' \
	$(top_builddir)/config.log \
	)

LocalizeSipXconfig = sed \
		  -e 's,@PACKAGE\@,sipxportlib,g' \
		  -e 's,@VERSION\@,3.5.0,g' \
		  -e 's,@abs_builddir\@,/usr/src/freeswitch.trunk/libs/sipx/sipXportLib/config,g' \
		  -e 's,@abs_srcdir\@,/usr/src/freeswitch.trunk/libs/sipx/sipXportLib/config,g' \
		  -e 's,@abs_top_srcdir\@,/usr/src/freeswitch.trunk/libs/sipx/sipXportLib/config/..,g' \
		  -e 's,@CONFIGURE_OPTIONS@,$(ConfigureArgs),g' \
		  -e 's,@bindir\@,$(bindir),g' \
		  -e 's,@datadir\@,$(datadir),g' \
		  -e 's,@htmldir\@,@htmldir@,g' \
		  -e 's,@INSTALL\@,/usr/bin/install -c,g' \
		  -e 's,@install_sh\@,/usr/src/freeswitch.trunk/libs/sipx/sipXportLib/config/install-sh,g' \
		  -e 's,@libdir\@,$(libdir),g' \
		  -e 's,@localstatedir\@,$(localstatedir),g' \
		  -e 's,@pkgdatadir\@,@pkgdatadir@,g' \
		  -e 's,@prefix\@,$(prefix),g' \
		  -e 's,@profiledir\@,@profiledir@,g' \
		  -e 's,@wwwdir\@,${datadir}/www,g' \
		  -e 's,@host\@,i686-pc-linux-gnu,g' \
		  -e 's,@PERL\@,@PERL@,g' \
		  -e 's,@RUBY\@,@RUBY@,g' \
		  -e 's,@RAKE\@,@RAKE@,g' \
		  -e 's,@GEM\@,@GEM@,g' \
		  -e 's,@APACHE2_HTTPD\@,@APACHE2_HTTPD@,g' \
		  -e 's,@APACHE2_MOD\@,@APACHE2_MOD@,g' \
		  -e 's,@CLOVER_HOME\@,@CLOVER_HOME@,g' \
		  -e 's,@JAVAC_DEBUG\@,@JAVAC_DEBUG@,g' \
		  -e 's,@JAVAC_OPTIMIZED\@,@JAVAC_OPTIMIZED@,g' \
		  -e 's,@JAVA\@,@JAVA@,g' \
		  -e 's,@JAVA_HOME\@,@JAVA_HOME@,g' \
		  -e 's,@SIPFOUNDRY_ORG\@,@SIPFOUNDRY_ORG@,g' \
		  -e 's,@SIPXCONFIG_LIBDIR\@,@SIPXCONFIG_LIBDIR@,g' \
		  -e 's,@SIPXPBXUSER\@,sipxchange,g' \
		  -e 's,@SIPX_BINDIR\@,${exec_prefix}/bin,g' \
		  -e 's,@SIPX_CONFDIR\@,${prefix}/etc/sipxpbx,g' \
		  -e 's,@SIPX_CONFIGPHONEDIR\@,${prefix}/var/sipxdata/configserver/phone,g' \
		  -e 's,@SIPX_BACKUPDIR\@,${prefix}/var/sipxdata/backup,g' \
		  -e 's,@SIPX_DATADIR\@,${prefix}/share/sipxpbx,g' \
		  -e 's,@SIPX_DBDIR\@,${prefix}/var/sipxdata/sipdb,g' \
		  -e 's,@SIPX_DOCDIR\@,${prefix}/share/doc/sipx,g' \
		  -e 's,@SIPX_LOGDIR\@,${prefix}/var/log/sipxpbx,g' \
		  -e 's,@SIPX_RUNDIR\@,${prefix}/var/run/sipxpbx,g' \
		  -e 's,@SIPX_TMPDIR\@,${prefix}/var/sipxdata/tmp,g' \
		  -e 's,@SIPX_INCDIR\@,${prefix}/include,g' \
		  -e 's,@SIPX_LIBDIR\@,${exec_prefix}/lib,g' \
		  -e 's,@SIPX_LIBEXECDIR\@,${exec_prefix}/libexec,g' \
		  -e 's,@SIPX_VARDIR\@,${prefix}/var/sipxdata,g' \
		  -e 's,@SIPX_SCHEMADIR\@,${prefix}/share/sipx/schema,g' \
		  -e 's,@SIPX_UPGRADEDIR\@,${prefix}/var/sipxdata/upgrade,g' \
		  -e 's,@SIPX_VXMLDATADIR\@,${prefix}/var/sipxdata/mediaserver/data,g' \
		  -e 's,@SIPX_PARKMUSICDIR\@,${prefix}/var/sipxdata/parkserver/music,g' \
		  -e 's,@SPRING_HOME\@,@SPRING_HOME@,g' \
		  -e 's,@XPRESSA_BUILD_NUMBER\@,@XPRESSA_BUILD_NUMBER@,g' \
		  -e 's,@XPRESSA_BUILD_COMMENT\@,@XPRESSA_BUILD_COMMENT@,g' \
		  -e 's,@SIPXPHONELIB\@,${prefix}/share/sipxphone/lib,g' \
		  -e 's,@SIPXPHONEDATA\@,${prefix}/share/sipxphone,g' \
		  -e 's,@SIPXPHONECONF\@,${prefix}/etc/sipxphone,g' \
		  -e 's,@NAMED_PROGRAM\@,@NAMED_PROGRAM@,g' \
		  -e 's,@SELINUX_GETENFORCE\@,@SELINUX_GETENFORCE@,g'
